//  Author:  Mitch Allen
// Address:  76040.2757@compuserve.com
// Program:  cf_glove.hpp
// Revised:  11/91

/*
  Credits:

  Originally "power.c" (c) manfredo 9/91
  manfredo@opal.cs.tu-berlin.de

  Ported to PC compatibles by Greg Alt 10/91
  galt@peruvian.utah.edu or galt@es.dsd.com

  Substantially rewritten by Dave Stampe (c) 1991: PWRFILT.C
  No cash, no warranty, no flames.  This stuff works great, so gimme credit.

  dstamp@watserv1.uwaterloo.ca                   17/10/91

  This source was adapted from theGlove.c contained in pglove.zip

  Converted to C++ by Mitch Allen 11/91
*/

// Sorry, guys, your work has been split up.
//
// CF_Glove.hpp:
//	Interface definition for class cfGlove.
//
// Purpose:
//      To be honest, the class is auxiliary to the heart of this
//      program.  It's what you get when you take away the hardware,
//	graphics, and smoothing functions away!!!  It provides
//	the central control for all of these things.
//
//
// Author(s): Mark Pflaging   C-serve  70233,1552
// Also see authorships in OOPGLOVE.DOC.
// Date:    5/15/92 - 6/4/92
//

#ifndef __CF_GLOVE_HPP
#define __CF_GLOVE_HPP

#include <stdlib.h>

#ifndef __HARDWARE_HPP
#include "hardware.hpp"
#endif

#ifndef __INI_HPP
#include "ini.hpp"
#endif

class graphicsActor;

class cfGlove : public gloveDriver {

public:
	cfGlove(InitFile & ini) : gloveDriver(ini) {}
	void run(graphicsActor& gloveGraph);
	virtual int updateGloveData();         // get data packet from glove
};

#endif
